
:root {
    --main-bg-color: #fcfcfc;
    --logo-color: #00685c;
    --accent-bg-color: #f7f7f7;
    --accent-bg-hover-color: #e4e4e4;
    --text-color:#000000;
    --link-color: #ffffff;
    --link-hover-color: #cbcbcb;
    --button-bg-color: #4caf50;
    --button-hover-bg-color: #45a049;
    --modal-bg-color: #fff;
    --modal-shadow-color: rgba(0, 0, 0, 0.1);
    --modal-button-bg-color: #00b67a;
    --modal-button-hover-bg-color: #118a4b;
    --product-back: rgba(255, 255, 255, 0.25);
    --full_bg: rgb(246, 246, 246);
    --font: "Gill Sans", sans-serif;
}

body {
    margin: 0;
    font-family: var(--font);
}

.fade-in {
    opacity: 0;
    transition: opacity 1s ease-in-out;
}

.fade-in.active {
    opacity: 1;
}

header {
    background-color: var(--main-bg-color);
    padding: 4px;
    position: fixed;
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.1);
    z-index: 1000;
    margin: 0 auto; /* >409B5 F59 @O4>: 4;O F5=B@C20==O */
}

#logo {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: 0 auto;
}

#logo img, #logo p {
    color: var(--logo-color);
    font-size: 17px;
    font-weight: 600;
    margin-left: 10px;
    text-decoration: none; 
    display: inline-block; 
}

.logo_text {
    width: 39px;
}

.logo_text1 {
    margin-left: 10px;
    width: 2px;
}

.logo_text2 {
    width: 170px;
    margin-top: 2px;
}

nav {
    display: flex;
    margin: 0 auto; /* >40T<> FN 2;0AB82VABL, I>1 F5=B@C20B8 =02V30FV9=V :=>?:8 */
}

.nav-button {
    font-weight: 700;
    font-family: var(--font);
    background-color: var(--link-color);
    color:  var(--text-color);
    border: none;
    padding: 15px 20px;
    margin-left: 10px;
    cursor: pointer;
    border-radius: 15px;
    text-decoration: none; /* >40T<> FN 2;0AB82VABL 4;O 2840;5==O AB8;V2 70 70<>2GC20==O< 4;O ?>A8;0=L */
    display: inline-block; /* >40T<> FN 2;0AB82VABL, I>1 :=>?:0 <0;0 H8@8=C B0 28A>BC */
    display: flex; /* AB0=>2;NT<> flex :>=B59=5@ */
    align-items: center;
}



.nav-button:hover {
    background-color: var(--link-hover-color);
}

.main-content {
    margin: 0px auto; /* <V=VBL 2V4ABC? 2V43V4=> 4> 20H>3> 48709=C */
}

.start_block {
    max-width: 1000px;
    margin: 0 auto; /* &5=B@CT<> 1;>: */
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
}

.block_r p, .block p {
    font-family:var(--font);
    text-indent: 20px;
    margin-left: 30px;
    font-size: 24px;
    font-weight: 500;
    color: var(--text-color);
}

.block_r h1, .block h1 {
    font-family: var(--font);
    margin-left: 30px;
    margin-top: 50px;
    font-size: 30px;
    font-weight: 500;
    color: var(--text-color);
}

.block_r img, .block img {
    margin-top: 50px;
    border-radius: 15px;
    max-width: 50%; /*  53C;NT<> @>7<V@ 7>1@065==O 70 20H8<8 ?>B@510<8 */
}

.block_r, .block {
    max-width: 1000px;
    margin: 0 auto; /* &5=B@CT<> 1;>: */
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 30px;
    margin-bottom: 50px;
}

.full-width-background {
    margin-top: 0px;
    display: flex;
    justify-content: center;
    background-color: var(--full_bg);
}

.special-block {
    max-width: 1200px;
    text-align: center;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 0;
    text-align: center;
    margin-bottom: -19px;
}

.block-content {
    margin-left: 50px;
    margin-right: 50px;
    color: var(--text-color);
    padding: 20px;
    border-radius: 15px;
}

.text {
    margin-top: 25px;
    font-size: 20px;
    font-weight: 500;
    color: var(--text-color);
}

.time {
    margin-top: -10px;
    font-size: 18px;
    font-weight: 500;
    color: var(--text-color);
}

.block-content img {
    width: 210px;
    height: 210px;
    border-radius: 25px;
}

.additional-block {
    text-align: center;
    padding: 10px 0; /* AB0=>2VBL 1060=89 2V4ABC? */
}

.centered-text p {
    font-size: 24px;
    font-weight: 500;
    color: var(--text-color);
}

.photo-grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 20px;
    margin: 20px auto; /* &5=B@C20==O 1;>:C */
    width: 200px; /* 0:A8<0;L=0 H8@8=0 1;>:C */
    justify-content: center; /* &5=B@C20==O 2<VABC */
}

.photo-grid img {
    width: 150px;
    height: 150px;
    border-radius: 15px;
}

.centered-block {
    text-align: center;
}

.centered-block p {
    font-family: var(--font);
    font-size: 20px;
    font-weight: 500;
    color: var(--text-color);
}

.centered-text img {
    width: 250px;
}

.block_form {
    font-family:var(--font);
    margin: 0;
    padding: 0;
    display: flex;
    margin-left: -35px;
    align-items: center;
    justify-content: center;
    height: 100vh;
}

#modalContent {
    background-color: var(--modal-bg-color);
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 0 10px var(--modal-shadow-color);
    text-align: center;
    max-width: 400px;
    width: 100%;
}

button {
    background-color: var(--button-bg-color);
    color: #fff;
    border: none;
    padding: 10px 15px;
    border-radius: 5px;
    cursor: pointer;
}

button:hover {
    background-color: var(--button-hover-bg-color);
}

ul {
    list-style-type: none;
    padding: 0;
}

li {
    margin-bottom: 8px;
}

form {

    margin-top: 20px;
}

label {
    font-family:var(--font);
    display: block;
    margin-bottom: 8px;
}

input, textarea {
    width: 100%;
    padding: 8px;
    margin-bottom: 15px;
    box-sizing: border-box;
    border: 1px solid #ccc;
    border-radius: 4px;
}

button#doneButton {
    margin-left: 170px; 
    font-family: var(--font);
    background-color: var(--modal-button-bg-color);
}

button#doneButton:hover {
    background-color: var(--modal-button-hover-bg-color);
}

.content-container {
    max-width: 1000px;
    margin: 0 auto;
    display: flex; 
    margin-bottom: 50px;
}

.left_block {
}

.right_block {
    margin-left: 50px;
}

#categoriesContainer,
#brandsContainer {
    font-family: var(--font);
    width: 150px;
    color: var(--text-color);
}

#categoryButtons,
#brandButtons {
    list-style-type: none;
    padding: 0;
    margin: 0;
}

#categoryButtons button,
#brandButtons button {
    font-family: var(--font);
    color: var(--text-color);
    display: block;
    width: 100%;
    padding: 10px;
    margin-bottom: 5px;
    background-color: var(--accent-bg-color);
    border: none;
    border-radius: 10px;
    cursor: pointer;
}

#categoryButtons button:hover,
#brandButtons button:hover {
    background-color: var(--accent-bg-hover-color);
}

#productsContainer {
    font-family:var(--font);
    flex: 1;
}

#productGrid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 20px;
}

.product-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color:  var(--product-back);
    border: 1px solid #ddd;
    padding: 10px;
    border-radius: 10px; 
}

.product-item h2,
.product-item p,
.product-item .price_c,
.product-item img,
.product-item button {
    margin: 6px 0;  /* >409B5 2V4ABC?8 <V6 5;5<5=B0<8 */
}

h2 {
  color: var(--text-color);
}

.product-item p {
    font-family: var(--font);
    color: var(--text-color);
}

.price_c {
    color: #e84362;
}

.product-item img {
    width: 200px;
    height: 200px;
    border-radius: 15px;
}

.product-item button {
    background-color: var(--accent-bg-color);
    border: none;
    padding: 5px 10px;
    margin-top: 10px;
    border-radius: 10px;
    cursor: pointer;
}

.product-item button:hover {
    background-color: var(--accent-bg-hover-color);
}



@media only screen and (max-width: 1024px) {


header {
   
    padding: 10px;
    position: fixed;
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.1);
    z-index: 1000;
    margin: 0 auto; /* >409B5 F59 @O4>: 4;O F5=B@C20==O */
}

#logo {
    display: flex;
    align-items: center;
     justify-content: space-between;
    margin: 0 auto;
}

#logo img, #logo p {

    font-size: 15px;
    font-weight: 600;
    margin-left: 5px;
    text-decoration: none; 
    display: inline-block; 
}

.logo_text {
    width: 35px;
 
}

.logo_text1 {
    margin-left: -5px;
    width: 0px;
}

.logo_text2 {
    width: 100px;
    margin-top: 3px;
    margin-left: -4px;
}


.nav-button {
    font-weight: 500;
    font-size: 14px;
 
    border: none;
    padding: 12px 5px;
    margin-left: 2px;
    cursor: pointer;
    border-radius: 15px;
    text-decoration: none; /* >40T<> FN 2;0AB82VABL 4;O 2840;5==O AB8;V2 70 70<>2GC20==O< 4;O ?>A8;0=L */
    display: inline-block; /* >40T<> FN 2;0AB82VABL, I>1 :=>?:0 <0;0 H8@8=C B0 28A>BC */
     display: flex; /* AB0=>2;NT<> flex :>=B59=5@ */
    align-items: center;
}
    
    
.main-content { 
    margin: 0px auto; /* <V=VBL 2V4ABC? 2V43V4=> 4> 20H>3> 48709=C */
}

.start_block {
    max-width: 800px;
    margin: 0 auto; /* &5=B@CT<> 1;>: */
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0px;
    
}

.block_r p {
     text-indent: 20px;
     margin-left: 15px;
     font-size: 16px;
     font-weight:500;
 
}

.block p {
    text-indent: 20px;
    margin-left: 15px;
    margin-right: 15px;
     font-size: 16px;
     font-weight:500;
 
}

.block_r h1 {
     margin-left: 14px;
    margin-top: 50px;
     font-size: 20px;
     font-weight:500;
 
}

.block h1 {
     margin-left: 14px;
     margin-right: 3px;
    margin-top: 50px;
     font-size: 20px;
     font-weight:500;
    
}

.block_r img {
    margin-top: 50px;
    border-radius: 15px;
    max-width: 50%; /*  53C;NT<> @>7<V@ 7>1@065==O 70 20H8<8 ?>B@510<8 */
}


.block_r {
    max-width: 800px;
    margin: 0 auto; /* &5=B@CT<> 1;>: */
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 30px;
    margin-bottom: 50px;
    
}

.block {
    max-width: 800px;
    margin: 0 auto; /* &5=B@CT<> 1;>: */
    display: flex;
    justify-content: space-between;
    align-items: center; 
    margin-top: 30px;
    margin-bottom: 50px;
    
}

 
    
.block img {
    margin-top: 50px;
    border-radius: 15px;
    max-width: 35%; /*  53C;NT<> @>7<V@ 7>1@065==O 70 20H8<8 ?>B@510<8 */
}
    
    .block_r img {
    margin-top: 50px;
    border-radius: 15px;
    max-width: 35%; /*  53C;NT<> @>7<V@ 7>1@065==O 70 20H8<8 ?>B@510<8 */
}


.full-width-background {
     margin-top: 0px; 
    display: flex;
    justify-content: center;
 
}

.special-block {
    max-width: 800px;
    padding: 10px 0;
    text-align: center;
     margin-bottom: -19px;
}


.block-content {
    
    margin-left: 20px;
    margin-right: 20px; 
 
    padding: 20px;
    border-radius: 15px;
}

.text {
    margin-top: 25px;
     font-size: 20px;
     font-weight:500;
 
}

.time {
    margin-top: -10px;
     font-size: 14px;
     font-weight:500;
 
}

.block-content img {
    width: 150px;
    height: 150px;
    border-radius: 25px;
}

.additional-block {
    text-align: center;
    padding: 10px 0; /* AB0=>2VBL 1060=89 2V4ABC? */
}

.centered-text p {
    font-size: 24px;
    font-weight: 500;
 
}

.photo-grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
   gap: 10px;
    margin: 10px auto; /* &5=B@C20==O 1;>:C */ 
    justify-content: center; /* &5=B@C20==O 2<VABC */
}

.photo-grid img {
    width: 80px;
    height: 80px;
    border-radius: 15px;
}


.centered-block {
    text-align: center;
}

.centered-block p {
    font-family: Georgia, serif;
    font-size: 20px;
    font-weight: 500;
 
}

.centered-text img {
   width: 250px;
}
 
.block_form {
  
    margin: 0;
    padding: 0;
    margin-left: -35px;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
}

#modalContent {
 
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    text-align: center;
    max-width: 600px;
    width: 100%;
}

button {
 
    border: none;
    padding: 10px 15px;
    border-radius: 5px;
    cursor: pointer;
}


input, textarea {
    width: 100%;
    padding: 8px;
    margin-bottom: 15px;
    box-sizing: border-box;
    border: 1px solid #ccc;
    border-radius: 4px;
}
 
    
    

.content-container {
    flex-direction: column;
    align-items: center;
    justify-content: center;
    max-width: 800px;
    margin-bottom: 50px;
}


.right_block {
   margin-left: 0px;
}
    
.left_block {
     margin-right: 5px;
    margin-left: 5px;
    display: flex;
    flex-wrap: wrap;
}

#categoriesContainer {
    width: 100%;
 
}

#categoryButtons {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between; /* &5 4>40T ?@>ABV@ <V6 :=>?:0<8, @>1;OG8 WE 28@V2=N20==O 2?@8BC; 4> :@0W2 */
    padding: 0;
    margin: 0;
}

#categoryButtons button {
    flex-basis: calc(25% - 12px); /* (8@8=0 :=>?>:: 25% H8@8=8 :>=B59=5@0 - 10px 2V4ABC?8 <V6 =8<8 */
    box-sizing: border-box; /* &5 4>40T padding B0 border 4> @>7@0EC=:C H8@8=8 */
 
    padding: 10px;
    margin: 5px;
 
    border: none;
    border-radius: 10px;
    cursor: pointer;
}

 
#productsContainer {
    flex: 1;
}

#productGrid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 6px;
}

.product-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
 
    border: 1px solid #ddd;
      width: 110px;
    height: 130px;
    padding: 10px;
    border-radius: 10px; 
}
 
    
.product-item h2,
.product-item p,
.product-item .price_c,
.product-item img,
.product-item button {
    margin: 6px 0;  /* >409B5 2V4ABC?8 <V6 5;5<5=B0<8 */
}
 
.product-item img {
    width: 100px;
    height: 100px;
    border-radius: 15px;
}

.product-item button {
  
    border: none;
    padding: 5px 10px;
    margin-top: 10px;
    border-radius: 10px;
    cursor: pointer;
}
 
    
    
}